<template>
  <div class="col-12">
    <div class="row p-0">
      <div class="col-12  px-0 ">
        <a class="btn  text-secondary " :class="{active: activeBtn === 'btn1'}"  @click="sort = 'hot'; activeBtn = 'btn1'">Hot</a>
       
        <a class="btn  text-secondary " :class="{active: activeBtn === 'btn3'}"  @click="sort = 'new'; activeBtn = 'btn3'">New</a>
        <a class="btn  text-secondary " :class="{active: activeBtn === 'btn4'}"  @click="sort = 'rising'; activeBtn = 'btn4'">Rising</a>
         <a class="btn  text-secondary " :class="{active: activeBtn === 'btn2'}"  @click="sort = 'top'; activeBtn = 'btn2'">Top</a>
        <template  v-if="activeBtn === 'btn2'">
                [<a  class="btn  text-info ml-1" :class="{active: activeTimeframebtn === 'b1'}" @click="timeframe = 'hour'; activeTimeframebtn = 'b1'" title="Hour">H</a>
                <a  class="btn  text-info ml-1" :class="{active: activeTimeframebtn === 'b2'}" @click="timeframe = 'day'; activeTimeframebtn = 'b2'" title="Day">D</a>
                <a  class="btn  text-info ml-1" :class="{active: activeTimeframebtn === 'b3'}" @click="timeframe = 'week'; activeTimeframebtn = 'b3'" title="Week">W</a>
                <a  class="btn  text-info ml-1" :class="{active: activeTimeframebtn === 'b4'}" @click="timeframe = 'month'; activeTimeframebtn = 'b4'" title="Month">M</a>
                <a  class="btn  text-info ml-1" :class="{active: activeTimeframebtn === 'b5'}" @click="timeframe = 'all'; activeTimeframebtn = 'b5'" title="All time">All</a>]
         </template>
          
        </div>
  
      </div>
  </div>
</template>
<script>
// import {debounce} from "../utils/helpers";
import { eventBus } from "../main";

export default {
  name: "Search",

  data() {
    return {
      sort:'hot',
      timeframe: '',
      activeBtn: 'btn1',
      activeTimeframebtn: ''
    };
  },
  methods: {
    loadMore() {
      eventBus.$emit("loadMore");
    },
    showSuggestions(subreddit) {
      this.searchTerm = subreddit;
    }
  },
    watch: {
        sort:function (newVal) {
          eventBus.$emit("sortChange", {newVal});
    },
            timeframe:function (newVal) {
          eventBus.$emit("timeFrameChange", {newVal});
    }

  }

};
</script>
